import pytest
from servicemanager.frappyman import make_proposed

sea_info = {
    'ma10': 'ma10.config',
    'ma10stick': 'ma10.stick',
    'ma11': 'ma11.config',
    'ma11stick': 'ma11.stick',
    'roomt': 'rt.addon',
    'rt': 'rt.addon',
    'befilter': 'befilter.addon',
}

given = dict(main='ma10', stick='ma10stick')
cfgs = dict(given)
seacfg = ['ma10', 'ma10']

@pytest.mark.parametrize('given, current, seacfg, output, proposed, proposedstrict', [

    ])
def test_proposed(given, current, seacfg, output, proposed, proposedstrict):
    prop, overview = make_proposed(given, current, seacfg, sea_info)
    assert overview == output
    assert prop == proposed
    props, overview = make_proposed(given, current, seacfg, sea_info, True)
    assert overview == output
    assert props == proposedstrict


def do():
    prop, tab = make_proposed(given, cfgs, seacfg, sea_info)
    print(prop)
    print('\n'.join(tab))